<?php
$action = (isset($_GET['action'])) ? sanitize_text_field( $_GET['action'] ) : '';
$heading = '';
$id = ( isset( $_GET['fblikebox'] ) ) ? absint( intval( $_GET['fblikebox'] ) ) : null;

$fblikebox = [
    "id"            	=> "",
	"title"         	=> "Default title",
	"description"   	=> "Default description",
	"content"        	=> "timeline***events***messages",
	"header_options"	=> "small_header***hide_cover_photo***show_friend_faces",
	"autoclose"  		=> "30",
	"cookie"   			=> "0",
	"url"   			=> "https://www.facebook.com/wordpress",
	"width"         	=> "500",
	"height"        	=> "600",
	"bgcolor"        	=> "#ffffff",
	"textcolor"        	=> "#000000",
	"bordersize"        => "1",
	"bordercolor"       => "#ffffff",
	"border_radius"     => "4",
	"custom_css"        => "",
	"onoffswitch"       => "On",
	"show_all"          => "no",
	"click_to_action"   => "false",
	"view_place"        => "",
	"delay"             => "0",
	"scroll_top"        => "0",
	"animate_in"        => "fadeIn",
	"animate_out"       => "fadeOut",
	"lang"              => "en_US"
];

switch( $action ) {
    case 'add':
        if ($id == null) {
            $heading = __( 'Add new Facebook LikeBox', $this->plugin_name);            
            break;
        }
    case 'edit':
        $heading = __( 'Edit Facebook LikeBox', $this->plugin_name);
        $fblikebox = $this->fblikebox_obj->get_fb_likebox_by_id($id);
        break;
}

if (isset($_POST['ays_submit']) || isset($_POST['ays_submit_top'])) {
    $_POST['id'] = $id;
    $this->fblikebox_obj->add_or_edit_fb_likebox($_POST);

}
if (isset($_POST['ays_apply_top']) || isset($_POST['ays_apply'])) {
    $_POST["id"] = $id;
    $_POST['ays_change_type'] = 'apply';
    $this->fblikebox_obj->add_or_edit_fb_likebox($_POST);
    
}
$ays_lang_arr = array("Afrikaans","Arabic","Azerbaijani","Belarusian","Bulgarian","Bengali","Bosnian","Catalan","Czech","Cebuano","Welsh","Danish","German","Greek","English (UK)","English (Pirate)","English (Upside Down)","English (US)","Esperanto","Spanish","Spanish","Estonian","Basque","Persian","Leet Speak","Finnish","Faroese","French(Canada)","French(France)","Frisian","Irish","Galician","Guarani","Hebrew","Hindi","Croatian","Hungarian","Armenian","Indonesian","Icelandic","Italian","Japanese","Javanese","Georgian","Khmer","Kannada","Korean","Kurdish","Latin","Lithuanian","Latvian","Macedonian","Malayalam","Malay","Norwegian(bokmal)","Nepali","Dutch","Norwegian(nynorsk)","Punjabi","Polish","Pashto","Portuguese(Brazil)","Portuguese(Portugal)","Romanian","Russian","Sinhala","Slovak","Slovenian","Albanian","Serbian","Swedish","Swahili","Tamil","Telugu","Thai","Filipino","Turkish","Ukrainian","Urdu","Vietnamese","Simplified Chinese (China)","Traditional Chinese (Hong Kong)","Traditional Chinese (Taiwan)");
$ays_lang_short_arr = array("af_ZA","ar_AR","az_AZ","be_BY","bg_BG","bn_IN","bs_BA","ca_ES","cs_CZ","cx_PH","cy_GB","da_DK","de_DE","el_GR","en_GB","en_PI","en_UD","en_US","eo_EO","es_ES","es_LA","et_EE","eu_ES","fa_IR","fb_LT","fi_FI","fo_FO","fr_CA","fr_FR","fy_NL","ga_IE","gl_ES","gn_PY","he_IL","hi_IN","hr_HR","hu_HU","hy_AM","id_ID","is_IS","it_IT","ja_JP","jv_ID","ka_GE","km_KH","kn_IN","ko_KR","ku_TR","la_VA","lt_LT","lv_LV","mk_MK","ml_IN","ms_MY","nb_NO","ne_NP","nl_NL","nn_NO","pa_IN","pl_PL","ps_AF","pt_BR","pt_PT","ro_RO","ru_RU","si_LK","sk_SK","sl_SI","sq_AL","sr_RS","sv_SE","sw_KE","ta_IN","te_IN","th_TH","tl_PH","tr_TR","uk_UA","ur_PK","vi_VN","zh_CN","zh_HK","zh_TW" );
?>

<div class="wrap">
    <div class="container-fluid">
    <form method="post" name="popup_attributes" id="ays-fpl-form">
    <h1 class="wp-heading-inline">
        <?php
            echo "$heading";
            $other_attributes = array('id' => 'ays-button-top');
            submit_button(__('Save LikeBox', $this->plugin_name), 'primary', 'ays_submit_top', false, $other_attributes);
            submit_button(__('Apply LikeBox', $this->plugin_name), '', 'ays_apply_top', false, $other_attributes);
        ?>
    </h1>
    <h2 class="ays-popup-box-menu-title"><?php echo __(get_admin_page_title()); ?></h2>
    <div class="nav-tab-wrapper">
        <a href="#tab1" class="nav-tab nav-tab-active"><?php echo __('General', $this->plugin_name); ?></a>
        <a href="#tab2" class="nav-tab"><?php echo __('Styles', $this->plugin_name); ?></a>
    </div>
    <?php
        $contents = explode( "***", $fblikebox["content"] );
        $header_options = explode( "***", $fblikebox["header_options"] );
        $onoffswitch = $fblikebox["onoffswitch"];
        $id != null ? $view_place = explode( "***", $fblikebox['view_place']) : $view_place = [];

    ?>
    <div id="tab1" class="ays-fpl-tab-content ays-fpl-tab-content-active">
        <p class="ays-subtitle"><?php echo  __('General Settings', $this->plugin_name) ?></p>
        <h6><?php echo  __('AYS FB LikeBox information', $this->plugin_name) ?></h6>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label for="<?php echo $this->plugin_name; ?>-onoffswitch">
                    <?php echo  __('Enable/Disable PopupBox', $this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __( "This PopupBox is used for showing the PopupBox. Enable: show PopupBox. Disable: do not show PopupBox", $this->plugin_name);?>">
                       <i class="fas fa-info-circle"></i>
                   </a>
                </label>
            </div>
            <div class="col-sm-9">
                <p class="onoffswitch">
                    <input type="checkbox" name="<?php echo $this->plugin_name; ?>[onoffswitch]" class="onoffswitch-checkbox" id="<?php echo $this->plugin_name; ?>-onoffswitch" <?php if($onoffswitch == 'On'){ echo 'checked';} else { echo '';} ?> style="display: none;">
                    <label class="onoffswitch-label" for="<?php echo $this->plugin_name; ?>-onoffswitch">
                        <span class="onoffswitch-inner"></span>
                        <span class="onoffswitch-switch"></span>
                    </label>
                </p>
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label for="<?php echo $this->plugin_name; ?>-show_all_yes">
                    <?php echo __('Show in all pages', $this->plugin_name); ?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This parameter is responsible for the display of PopupBox, whether or not the PopupBox is displayed on all pages or not", $this->plugin_name); ?>">
                        <i class="fas fa-info-circle"></i>
                    </a>
                </label>
            </div>
            <div class="col-sm-9">
                <label for="<?php echo $this->plugin_name; ?>-show_all_yes"><?php echo __( "Yes", $this->plugin_name); ?>
                    <input type="radio" name="<?php echo $this->plugin_name; ?>[ays_fb_show_all]" id="<?php echo $this->plugin_name; ?>-show_all_yes" value="yes" <?php echo ($fblikebox['show_all'] == 'yes') ? 'checked' : ''; ?>  />
                </label>
                <label for="<?php echo $this->plugin_name; ?>-show_all_no"><?php echo __( "No", $this->plugin_name); ?>
                    <input type="radio" id="<?php echo $this->plugin_name; ?>-show_all_no" name="<?php echo $this->plugin_name; ?>[ays_fb_show_all]" value="no" <?php echo ($fblikebox['show_all'] == 'no') ? 'checked' : ''; ?> />
                </label>
            </div>
        </div>
        <div class="ays_fpl_view_place_tr ays-field">
        <hr/>
            <label>
                <?php echo  __('Show only ', $this->plugin_name) ?>
                <a class="ays_help" data-toggle="tooltip" title="<?php echo __("With the help of the choice of this field, you can choose in what page PopupBox should be opened", $this->plugin_name); ?>">
                    <i class="fas fa-info-circle"></i>
                </a>
            </label>
            <button type="button" class="ays_view_place_clear button button-small wp-picker-default"><?php echo __( "Clear", $this->plugin_name); ?></button>
            <select id="<?php echo $this->plugin_name; ?>-ays_fb_view_place" multiple="multiple" name="<?php echo $this->plugin_name; ?>[ays_fb_view_place][]">
                <?php
                $args = array(
                    'post_type' => array('post', 'page'),                                    
                    'nopaging'  => true
                );

                // Custom query.
                $query = new WP_Query( $args );

                if($query->have_posts()){
                    foreach ($query->posts as $key => $post){
                        if(in_array($post->ID, $view_place)):
                        ?>
                            <option selected value="<?php echo $post->ID; ?>"><?php echo __( get_the_title($post->ID), $this->plugin_name); ?></option>
                        <?php
                        else:
                        ?>
                            <option value="<?php echo $post->ID; ?>"><?php echo __( get_the_title($post->ID), $this->plugin_name); ?></option>
                        <?php
                        endif;
                    }
                }

                // Restore original post data.
                wp_reset_postdata();

                ?>
            </select>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_url">
                    <?php  echo __('Facebook page url',$this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __( "With the help of this insert field, it notes Facebook URL address seen in PopupBox", $this->plugin_name); ?>" >
                        <i class="fas fa-info-circle"></i>
                    </a>
                </label>
            </div>
            <div class="col-sm-9">
                <input id="<?php echo $this->plugin_name; ?>-ays_fb_url" class="ays-text-input" name="<?php echo $this->plugin_name; ?>[ays_fb_url]" type="text" value="<?php echo wp_unslash($fblikebox['url']); ?>" />
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label class="description" for="ays_fb_language">
                    <?php echo __('Language',$this->plugin_name) ;?>
                </label>
            </div>
            <div class="col-sm-9">
                <select id="ays_fb_language" class="ays_nk_res" name='ays_fb_language[lang]'>
                    <option>Select Language</option>
                    <?php
                    for($ost = 0; $ost<count($ays_lang_arr); $ost++){
                        if($fblikebox['lang'] == $ays_lang_short_arr[$ost]){
                            echo '<option value="'.$ays_lang_short_arr[$ost].'" selected>'.$ays_lang_arr[$ost].'</option>';
                        }
                        else{
                            echo '<option value="'.$ays_lang_short_arr[$ost].'">'.$ays_lang_arr[$ost].'</option>';
                        }
                    }
                    ?>
                </select>
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label>
                    <?php echo  __('Hide click to action button ',$this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __( "With the help of the choice of this field, it notes whether opened in PopupBox for facebook page is intended for matching the action button to display or not", $this->plugin_name); ?>">
                        <i class="fas fa-info-circle"></i>
                    </a>
                </label>
            </div>
            <div class="col-sm-9">
                <input id="<?php echo $this->plugin_name; ?>-ays_fb_click_to_action_yes" type="radio" value="true" name="<?php echo $this->plugin_name; ?>[ays_fb_click_to_action]" <?php echo ($fblikebox['click_to_action'] == 'true') ? 'checked' : ''; ?>/>
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_click_to_action_yes"><?php echo  __('Yes', $this->plugin_name) ?></label>

                <input id="<?php echo $this->plugin_name; ?>-ays_fb_events_no" type="radio" value="false" name="<?php echo $this->plugin_name; ?>[ays_fb_click_to_action]" <?php echo ($fblikebox['click_to_action'] == 'false') ? 'checked' : ''; ?>/>
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_events_no"><?php echo  __('No', $this->plugin_name) ?></label>
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label>
                    <?php echo  __('Show on', $this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" data-html='true' title="<?php echo __( "With the help of the choice of this field, you can see the information about Facebook page opened in PopupBox:", $this->plugin_name); echo  "<ul class='ays_help_desc'><li>"; echo __( "Timeline of the page", $this->plugin_name); echo "</li><li>"; echo __( "Events of the page", $this->plugin_name); echo "</li><li>"; echo __( "Messages of the page", $this->plugin_name); echo "</li></ul>"; ?>">
                        <i class="fas fa-info-circle"></i>
                    </a> 
                </label>
            </div>
            <div class="col-sm-9">
                <input id="<?php echo $this->plugin_name; ?>-ays_fb_timeline" name="<?php echo $this->plugin_name; ?>[ays_fb_content][]" type="checkbox" value="timeline" <?php echo (in_array('timeline', wp_unslash($contents))) ? "checked" : ""; ?>/>
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_timeline"><?php  echo __('Timeline',$this->plugin_name) ?></label>

                <input id="<?php echo $this->plugin_name; ?>-ays_fb_events" name="<?php echo $this->plugin_name; ?>[ays_fb_content][]" type="checkbox" value="events" <?php echo (in_array('events', wp_unslash($contents))) ? "checked" : "" ; ?>/>
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_events"><?php  echo __('Events',$this->plugin_name) ?></label>

                <input id="<?php echo $this->plugin_name; ?>-ays_fb_messages" name="<?php echo $this->plugin_name; ?>[ays_fb_content][]" type="checkbox" value="messages" <?php echo (in_array('messages', wp_unslash($contents))) ? "checked" : ""; ?>/>
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_messages"><?php  echo __('Messages',$this->plugin_name) ?></label>
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label>
                    <?php echo  __('Use in FB plugin',$this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" data-html='true' title="<?php echo __("With the help of the choice of this field, it displays the data used in the Facebook page seen in PopupBox:", $this->plugin_name); echo "<ul class='ays_help_desc'><li>"; echo __("Show a small header", $this->plugin_name); echo "</li><li>"; echo __("Hide cover photos", $this->plugin_name); echo "</li><li>"; echo __("Show friend faces", $this->plugin_name); echo "</li></ul>"; ?>">
                        <i class="fas fa-info-circle"></i>
                    </a> 
                </label>
            </div>
            <div class="col-sm-9">
                <input id="<?php echo $this->plugin_name; ?>-ays_fb_small_header" name="<?php echo $this->plugin_name; ?>[ays_fb_header_options][]" type="checkbox" value="small_header" <?php echo (in_array('small_header', wp_unslash($header_options))) ? "checked" : ""; ?>/>
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_small_header"><?php echo  __('Small header',$this->plugin_name) ?></label>

                <input id="<?php echo $this->plugin_name; ?>-as_fb_hide_cover_photo" name="<?php echo $this->plugin_name; ?>[ays_fb_header_options][]" type="checkbox" value="hide_cover_photo" <?php echo (in_array('hide_cover_photo', wp_unslash($header_options))) ? "checked" : ""; ?>/>
                <label for="<?php echo $this->plugin_name; ?>-as_fb_hide_cover_photo"><?php echo  __('Hide Cover Photoes',$this->plugin_name) ?></label>

                <input id="<?php echo $this->plugin_name; ?>-ays_fb_show_friend_faces" name="<?php echo $this->plugin_name; ?>[ays_fb_header_options][]" type="checkbox" value="show_friend_faces" <?php  echo (in_array('show_friend_faces', wp_unslash($header_options))) ? "checked" : ""; ?>/>
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_show_friend_faces"><?php  echo __('Show Friend Faces',$this->plugin_name) ?></label>
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_width">
                    <?php echo  __('Width',$this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field provides information of PopupBox width with pixels", $this->plugin_name); ?>">
                        <i class="fas fa-info-circle"></i>
                    </a>
                </label>
            </div>
            <div class="col-sm-9">
                <input id="<?php echo $this->plugin_name; ?>-ays_fb_width" class="ays-text-input-short" name="<?php echo $this->plugin_name; ?>[ays_fb_width]" type="number" value="<?php echo $fblikebox['width']; ?>" />
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_height">
                    <?php echo  __('Height',$this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field provides information of PopupBox height with pixels", $this->plugin_name); ?>">
                        <i class="fas fa-info-circle"></i>
                    </a>
                </label>
            </div>
            <div class="col-sm-9">
                <input id="<?php echo $this->plugin_name; ?>-ays_fb_height" class="ays-text-input-short" name="<?php echo $this->plugin_name; ?>[ays_fb_height]" type="number" value="<?php echo $fblikebox['height']; ?>" />
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_autoclose">
                    <?php echo  __('Auto close per seconds',$this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This section shows that after how many seconds the PopupBox will be closed. Set 0 for disable close timeout", $this->plugin_name); ?>">
                        <i class="fas fa-info-circle"></i>
                    </a>                                
                </label>
            </div>
            <div class="col-sm-9">
                <input id="<?php echo $this->plugin_name; ?>-ays_fb_autoclose" class="ays-text-input-short" name="<?php echo $this->plugin_name; ?>[ays_fb_autoclose]" type="number" value="<?php echo $fblikebox['autoclose']; ?>"/>
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_delay">
                    <?php echo  __('Delay ',$this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This section shows how many milliseconds delay the PopupBox should be opened", $this->plugin_name); ?>">
                        <i class="fas fa-info-circle"></i>
                    </a>
                </label>
            </div>
            <div class="col-sm-9">
                <input id="<?php echo $this->plugin_name; ?>-ays_fb_delay" type="number" class="ays-text-input-short" value="<?php echo $fblikebox['delay']; ?>" name="<?php echo $this->plugin_name; ?>[ays_fb_delay]"/>
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_scroll_top">
                    <?php echo  __('Show after scroll from top(px) ',$this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field notes after how many scrolls from the top (px) the PopupBox should be opened", $this->plugin_name); ?>">
                        <i class="fas fa-info-circle"></i>
                    </a>
                </label>
            </div>
            <div class="col-sm-9">
                <input id="<?php echo $this->plugin_name; ?>-ays_fb_scroll_top" type="number" class="ays-text-input-short" value="<?php echo $fblikebox['scroll_top']; ?>" name="<?php echo $this->plugin_name; ?>[ays_fb_scroll_top]"/>
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label>
                    <?php echo __("Show promoter every 'X' minutes",$this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field notes that how many minutes PopupBox will be opened again", $this->plugin_name); ?>">
                        <i class="fas fa-info-circle"></i>
                    </a>
                </label>
            </div>
            <div class="col-sm-9">
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_cookie"></label>
                <input id="<?php echo $this->plugin_name; ?>-ays_fb_cookie" class="ays-text-input-short" name="<?php echo $this->plugin_name; ?>[ays_fb_cookie]" type="number" value="<?php echo $fblikebox['cookie']; ?>" />
            </div>
        </div>
        <hr/>
        <div class="form-group row">
            <div class="col-sm-3">
                <label for="<?php echo $this->plugin_name; ?>-ays_fb_likebox_title">
                    <?php echo  __('Likebox Title',$this->plugin_name) ?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field shows the name of the PopupBox", $this->plugin_name); ?>">
                        <i class="fas fa-info-circle"></i>
                    </a>
                </label>
            </div>
            <div class="col-sm-9">
                <input id="<?php echo $this->plugin_name; ?>-ays_fb_likebox_title" class="ays-text-input" name="<?php echo $this->plugin_name; ?>[ays_fb_likebox_title]" type="text" value="<?php echo htmlentities($fblikebox['title']); ?>" />
            </div>
        </div>
        <hr/>
        <div class="ays-field">
            <label for="<?php echo $this->plugin_name; ?>-ays_fb_likebox_description">
                <?php echo  __('Likebox Description',$this->plugin_name) ?>
                <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field shows the description of the PopupBox", $this->plugin_name); ?>">
                    <i class="fas fa-info-circle"></i>
                </a>
            </label>
            <textarea id="<?php echo $this->plugin_name; ?>-ays_fb_likebox_description" class="ays-textarea" name="<?php echo $this->plugin_name; ?>[ays_fb_likebox_description]"><?php echo htmlentities($fblikebox['description']); ?></textarea>
        </div>
        <hr/>        
        <div class="ays-field">
            <label for="<?php echo $this->plugin_name; ?>-ays_fb_custom_css">
                <?php echo  __('Custom Css:',$this->plugin_name) ?>
                <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field notes that how CSS design you can give to PopupBox", $this->plugin_name); ?>">
                    <i class="fas fa-info-circle"></i>
                </a>
            </label>
            <textarea id="<?php echo $this->plugin_name; ?>-ays_fb_custom_css" class="ays-textarea" name="<?php echo $this->plugin_name; ?>[ays_fb_custom_css]" type="text"><?php echo wp_unslash(htmlentities($fblikebox['custom_css'])); ?></textarea>
        </div>
    </div>
    <div id="tab2" class="ays-fpl-tab-content">
        <p class="ays-subtitle"><?php  echo __('Styles', $this->plugin_name) ?></p>
        <h6 class="ays_nk_inf"><?php echo  __('AYS Facebook Popoup Likebox Styles', $this->plugin_name) ?></h6>
        <hr/>
        <div class="col-sm-12 col-md-6">
            <div class="form-group row">
                <div class="col-sm-6">
                    <label for="<?php echo $this->plugin_name; ?>-ays_fb_bgcolor">
                        <?php echo  __('PopupBox background color: ',$this->plugin_name) ?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field notes PopupBox background color", $this->plugin_name); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-6">
                    <input id="<?php echo $this->plugin_name; ?>-ays_fb_bgcolor" type="text" class="ays_fpl_color_input ays_fpl_bgcolor_change" name="<?php echo $this->plugin_name; ?>[ays_fb_bgcolor]" value="<?php echo wp_unslash($fblikebox['bgcolor']); ?>" data-default-color="#FFFFFF">
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-6">
                    <label for="<?php echo $this->plugin_name; ?>-ays_fb_textcolor">
                        <?php echo  __('PopupBox text color: ',$this->plugin_name) ?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("With the help of this field, you can see the text color of PopupBox", $this->plugin_name); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-6">
                    <input id="<?php echo $this->plugin_name; ?>-ays_fb_textcolor" type="text" class="ays_fpl_color_input ays_fpl_textcolor_change" name="<?php echo $this->plugin_name; ?>[ays_fb_textcolor]" value="<?php echo wp_unslash($fblikebox['textcolor']); ?>" data-default-color="#000000">
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-6">
                    <label for="<?php echo $this->plugin_name; ?>-ays_fb_bordersize">
                        <?php echo  __('PopupBox border size: ',$this->plugin_name) ?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field notes the border size of the PopupBox", $this->plugin_name); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-6">
                    <input id="<?php echo $this->plugin_name; ?>-ays_fb_bordersize" class="ays-text-input-short" type="number" name="<?php echo $this->plugin_name; ?>[ays_fb_bordersize]" value="<?php echo wp_unslash($fblikebox['bordersize']); ?>">
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-6">
                    <label for="<?php echo $this->plugin_name; ?>-ays_fb_bordercolor">
                        <?php echo  __('PopupBox border color: ',$this->plugin_name) ?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field notes the border color of the PopupBox", $this->plugin_name); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-6">
                    <input id="<?php echo $this->plugin_name; ?>-ays_fb_bordercolor" type="text" class="ays_fpl_color_input ays_fpl_bordercolor_change" name="<?php echo $this->plugin_name; ?>[ays_fb_bordercolor]" value="<?php echo wp_unslash($fblikebox['bordercolor']); ?>" data-default-color="#FFFFFF">
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-6">
                    <label for="<?php echo $this->plugin_name; ?>-ays_fb_border_radius">
                        <?php echo  __('PopupBox border radius: ',$this->plugin_name) ?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field notes the border radius of the PopupBox", $this->plugin_name); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-6">
                    <input id="<?php echo $this->plugin_name; ?>-ays_fb_border_radius" class="ays-text-input-short" type="number" name="<?php echo $this->plugin_name; ?>[ays_fb_border_radius]" value="<?php echo wp_unslash($fblikebox['border_radius']); ?>">
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-6">
                    <label for="<?php echo $this->plugin_name; ?>-ays_fb_animation_in">
                        <?php echo  __('Box show effect: ',$this->plugin_name) ?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field notes that with what animation the PopupBox should be opened", $this->plugin_name); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-6">
                    <select class="animation_effects" id="<?php echo $this->plugin_name; ?>-ays_fb_animation_in" name="<?php echo $this->plugin_name; ?>[ays_fb_animation_in]">                                
                        <optgroup label="Fading Entrances">
                            <option <?php echo 'fadeIn' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="fadeIn">Fade In</option>
                            <option <?php echo 'fadeInDown' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="fadeInDown">Fade In Down</option>
                            <option <?php echo 'fadeInDownBig' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="fadeInDownBig">Fade In Down Big</option>
                            <option <?php echo 'fadeInLeft' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="fadeInLeft">Fade In Left</option>
                            <option <?php echo 'fadeInLeftBig' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="fadeInLeftBig">Fade In Left Big</option>
                            <option <?php echo 'fadeInRight' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="fadeInRight">Fade In Right</option>
                            <option <?php echo 'fadeInRightBig' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="fadeInRightBig">Fade In Right Big</option>
                            <option <?php echo 'fadeInUp' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="fadeInUp">Fade In Up</option>
                            <option <?php echo 'fadeInUpBig' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="fadeInUpBig">Fade In Up Big</option>
                        </optgroup>
                        <optgroup label="Bouncing Entrances">
                            <option <?php echo 'bounceIn' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="bounceIn">Bounce In</option>
                            <option <?php echo 'bounceInDown' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="bounceInDown">Bounce In Down</option>
                            <option <?php echo 'bounceInLeft' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="bounceInLeft">Bounce In Left</option>
                            <option <?php echo 'bounceInRight' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="bounceInRight">Bounce In Right</option>
                            <option <?php echo 'bounceInUp' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="bounceInUp">Bounce In Up</option>
                        </optgroup>
                        <optgroup label="Sliding Entrances">
                            <option <?php echo 'slideInUp' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="slideInUp">Slide In Up</option>
                            <option <?php echo 'slideInDown' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="slideInDown">Slide In Down</option>
                            <option <?php echo 'slideInLeft' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="slideInLeft">Slide In Left</option>
                            <option <?php echo 'slideInRight' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="slideInRight">Slide In Right</option> 
                        </optgroup>
                        <optgroup label="Zoom Entrances">
                            <option <?php echo 'zoomIn' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="zoomIn">Zoom In</option> 
                            <option <?php echo 'zoomInDown' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="zoomInDown">Zoom In Down</option> 
                            <option <?php echo 'zoomInLeft' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="zoomInLeft">Zoom In Left</option> 
                            <option <?php echo 'zoomInRight' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="zoomInRight">Zoom In Right</option> 
                            <option <?php echo 'zoomInUp' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="zoomInUp">Zoom In Up</option> 
                        </optgroup>
                        <optgroup label="Rotating Entrances">
                            <option <?php echo 'rotateIn' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="rotateIn">Rotate In</option> 
                            <option <?php echo 'rotateInDownLeft' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="rotateInDownLeft">Rotating In Down Left</option> 
                            <option <?php echo 'rotateInDownRight' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="rotateInDownRight">Rotating In Down Right</option> 
                            <option <?php echo 'rotateInUpLeft' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="rotateInUpLeft">Rotating In Up Left</option> 
                            <option <?php echo 'rotateInUpRight' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="rotateInUpRight">Rotating In Up Right</option> 
                        </optgroup>
                        <optgroup label="Fliping Entrances">
                            <option <?php echo 'flipInY' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="flipInY">Flip In Y</option> 
                            <option <?php echo 'flipInX' == $fblikebox['animate_in'] ? 'selected' : ''; ?> value="flipInX">Flip In X</option> 
                        </optgroup>                
                    </select>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-6">
                    <label for="<?php echo $this->plugin_name; ?>-ays_fb_animation_out">
                        <?php echo  __('Box hide effect: ',$this->plugin_name) ?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field notes that with what animation the PopupBox should be closed", $this->plugin_name); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-6">
                    <select class="animation_effects" id="<?php echo $this->plugin_name; ?>-ays_fb_animation_out" name="<?php echo $this->plugin_name; ?>[ays_fb_animation_out]">
                        <optgroup label="Fading Exits">
                            <option <?php echo  $fblikebox['animate_out'] == 'fadeOut' ? 'selected' : ''; ?> value="fadeOut">Fade Out</option>
                            <option <?php echo  $fblikebox['animate_out'] == 'fadeOut' ? 'selected' : ''; ?> value="fadeOutDown">Fade Out Down</option>
                            <option <?php echo  $fblikebox['animate_out'] == 'fadeOut' ? 'selected' : ''; ?> value="fadeOutDownBig">Fade Out Down Big</option>
                            <option <?php echo  $fblikebox['animate_out'] == 'fadeOut' ? 'selected' : ''; ?> value="fadeOutLeft">Fade Out Left</option>
                            <option <?php echo  $fblikebox['animate_out'] == 'fadeOut' ? 'selected' : ''; ?> value="fadeOutLeftBig">Fade Out Left Big</option>
                            <option <?php echo  $fblikebox['animate_out'] == 'fadeOut' ? 'selected' : ''; ?> value="fadeOutRight">Fade Out Right</option>
                            <option <?php echo  $fblikebox['animate_out'] == 'fadeOut' ? 'selected' : ''; ?> value="fadeOutRightBig">Fade Out Right Big</option>
                            <option <?php echo  $fblikebox['animate_out'] == 'fadeOut' ? 'selected' : ''; ?> value="fadeOutUp">Fade Out Up</option>
                            <option <?php echo  $fblikebox['animate_out'] == 'fadeOut' ? 'selected' : ''; ?> value="fadeOutUpBig">Fade Out Up Big</option>
                        </optgroup>
                        <optgroup label="Bouncing Exits">
                            <option <?php echo 'bounceOut' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="bounceOut">Bounce Out</option>
                            <option <?php echo 'bounceOutDown' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="bounceOutDown">Bounce Out Down</option>
                            <option <?php echo 'bounceOutLeft' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="bounceOutLeft">Bounce Out Left</option>
                            <option <?php echo 'bounceOutRight' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="bounceOutRight">Bounce Out Right</option>
                            <option <?php echo 'bounceOutUp' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="bounceOutUp">Bounce Out Up</option>
                        </optgroup>
                        <optgroup label="Sliding Exits">
                            <option <?php echo 'slideOutUp' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="slideOutUp">Slide Out Up</option>
                            <option <?php echo 'slideOutDown' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="slideOutDown">Slide Out Down</option>
                            <option <?php echo 'slideOutLeft' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="slideOutLeft">Slide Out Left</option>
                            <option <?php echo 'slideOutRight' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="slideOutRight">Slide Out Right</option> 
                        </optgroup>
                        <optgroup label="Zoom Exits">
                            <option <?php echo 'zoomOut' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="zoomOut">Zoom Out</option> 
                            <option <?php echo 'zoomOutDown' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="zoomOutDown">Zoom Out Down</option> 
                            <option <?php echo 'zoomOutLeft' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="zoomOutLeft">Zoom Out Left</option> 
                            <option <?php echo 'zoomOutRight' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="zoomOutRight">Zoom Out Right</option> 
                            <option <?php echo 'zoomOutUp' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="zoomOutUp">Zoom Out Up</option> 
                        </optgroup>
                        <optgroup label="Rotating Exits">
                            <option <?php echo 'rotateOut' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="rotateOut">Rotate Out</option> 
                            <option <?php echo 'rotateOutDownLeft' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="rotateOutDownLeft">Rotating Out Down Left</option> 
                            <option <?php echo 'rotateOutDownRight' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="rotateOutDownRight">Rotating Out Down Right</option> 
                            <option <?php echo 'rotateOutUpLeft' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="rotateOutUpLeft">Rotating Out Up Left</option> 
                            <option <?php echo 'rotateOutUpRight' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="rotateOutUpRight">Rotating Out Up Right</option> 
                        </optgroup>
                        <optgroup label="Fliping Exits">
                            <option <?php echo 'flipOutY' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="flipOutY">Flip Out Y</option> 
                            <option <?php echo 'flipOutX' == $fblikebox['animate_out'] ? 'selected' : ''; ?> value="flipOutX">Flip Out X</option> 
                        </optgroup>
                    </select>
                </div>
            </div>
            <hr/>
        </div>
        <div class="col-sm-12 col-md-6">
            <p style="font-weight: normal; font-style: italic; font-size: 14px; color: grey; margin:0; padding:0;"><?php echo __("See PopupBox in live preview", $this->plugin_name); ?></p>
            <div class='ays-fpl-modals'>
                <input type='hidden' id='ays_fpl_modal_animate_in'>
                <input type='hidden' id='ays_fpl_modal_animate_out'>
                <input id='ays-fpl-modal-checkbox' class='ays-fpl-modal-check' type='checkbox' checked/>
                <div class='ays-fpl-modal' id='ays-fpl-modal' >
                    <label class='ays-fpl-modal-close'><i class='fa fa-times fa-2x'></i></label>
                    <h2></h2>
                    <p class="desc"></p>
                    <hr />
                    <div class="ays_modal_content"><span><?php echo __("Here your Facebook content", $this->plugin_name); ?></span></div>
                    <p><span><?php echo __("This will close in X seconds", $this->plugin_name); ?></span></p>
                </div>
                <div id='ays-fpl-screen-shade'></div>
            </div>
        </div>
    </div>
    <div style="clear:both;" ></div>
    <hr/>
    <?php
wp_nonce_field('fblb_action', 'fblb_action');
$other_attributes = array('id' => 'ays-button');
submit_button(__('Save LikeBox', $this->plugin_name), 'primary', 'ays_submit', false, $other_attributes);

submit_button(__('Apply LikeBox', $this->plugin_name), '', 'ays_apply', false, $other_attributes);
?>
    </form>
</div>
<script>
    jQuery(document).ready(function(){
        if(jQuery("#<?php echo $this->plugin_name; ?>-show_all_no").hasAttr = 'checked' && jQuery("#<?php echo $this->plugin_name; ?>-show_all_no").attr('checked') == 'checked'){
            jQuery('.ays_fpl_view_place_tr').show(250);
        }
        if(jQuery("#<?php echo $this->plugin_name; ?>-show_all_yes").hasAttr = 'checked' && jQuery("#<?php echo $this->plugin_name; ?>-show_all_yes").attr('checked') == 'checked'){
            jQuery('.ays_fpl_view_place_tr').hide(250);
        }
    });
    jQuery("#<?php echo $this->plugin_name; ?>-show_all_no").on('click', function(){
        jQuery('.ays_fpl_view_place_tr').show(250);
    });
    jQuery("#<?php echo $this->plugin_name; ?>-show_all_yes").on('click', function(){
        jQuery('.ays_fpl_view_place_tr').hide(250);
    });
</script>
<script>
    (function ($) {
        var a = $('.ays_help_desc');
    $(document).ready(function(){
        $('[data-toggle="tooltip"]').tooltip();
       
        $('.ays-fpl-modal .desc').html($("#<?php echo $this->plugin_name; ?>-ays_fb_likebox_description").val());
        $('.ays-fpl-modal > h2').html($("#<?php echo $this->plugin_name; ?>-ays_fb_likebox_title").val());
        
        $(document).find("#<?php echo $this->plugin_name; ?>-ays_fb_likebox_title").on('change', function(){
            $('.ays-fpl-modal > h2').html($("#<?php echo $this->plugin_name; ?>-ays_fb_likebox_title").val());
        });
        $(document).find("#<?php echo $this->plugin_name; ?>-ays_fb_likebox_description").on('change', function(){
            $('.ays-fpl-modal .desc').html($("#<?php echo $this->plugin_name; ?>-ays_fb_likebox_description").val());
        });
        
        var optionsForBgColor = {
            change: function(e){
                $('.ays-fpl-modal').css('background-color', e.target.value);
            }
        }
        $(document).find('.ays_fpl_bgcolor_change').wpColorPicker(optionsForBgColor);
        
        var optionsForTextColor = {
            change: function(e){
                $('.ays-fpl-modal').css('color', e.target.value+" !important");
            }
        }
        $(document).find('.ays_fpl_textcolor_change').wpColorPicker(optionsForTextColor);
        
        var optionsForBorderColor = {
            change: function(e){
                $('.ays-fpl-modal').css('border-color', e.target.value);
            }
        }
        $(document).find('.ays_fpl_bordercolor_change').wpColorPicker(optionsForBorderColor);
        
        $(document).find("#<?php echo $this->plugin_name; ?>-ays_fb_textcolor").on('change', function(){
            $('.ays-fpl-modal').css('color', $("#<?php echo $this->plugin_name; ?>-ays_fb_textcolor").val()+' !important');
        });
        $(document).find("#<?php echo $this->plugin_name; ?>-ays_fb_bordersize").on('change', function(){
            $('.ays-fpl-modal').css('border', $("#<?php echo $this->plugin_name; ?>-ays_fb_bordersize").val()+"px solid "+$("#<?php echo $this->plugin_name; ?>-ays_fb_bordercolor").val());
        });
        $(document).find("#<?php echo $this->plugin_name; ?>-ays_fb_border_radius").on('change', function(){
            $('.ays-fpl-modal').css('border-radius', $("#<?php echo $this->plugin_name; ?>-ays_fb_border_radius").val()+'px');
        });
        $(document).find("#<?php echo $this->plugin_name; ?>-ays_fb_animation_in").on('change', function(){
            $('.ays-fpl-modal').css('animation', $("#<?php echo $this->plugin_name; ?>-ays_fb_animation_in").val()+" .5s");
        });
        $(document).find("#<?php echo $this->plugin_name; ?>-ays_fb_animation_out").on('change', function(){
            $('.ays-fpl-modal').css('animation', $("#<?php echo $this->plugin_name; ?>-ays_fb_animation_out").val()+" .5s");
        });
        $(document).find("#<?php echo $this->plugin_name; ?>-ays_fb_bordercolor").on('change', function(){
            $('.ays-fpl-modal').css('border', $("#<?php echo $this->plugin_name; ?>-ays_fb_bordersize").val()+"px solid "+$("#<?php echo $this->plugin_name; ?>-ays_fb_bordercolor").val());
        });
        $(document).find('#ays-fpl-modal').css({'background-color': $("#<?php echo $this->plugin_name; ?>-ays_fb_bgcolor").val()});
        $(document).find('#ays-fpl-modal').css({'color': $("#<?php echo $this->plugin_name; ?>-ays_fb_textcolor").val()+' !important'});
        $(document).find('#ays-fpl-modal').css({'border': $("#<?php echo $this->plugin_name; ?>-ays_fb_bordersize").val()+"px solid "+$("#<?php echo $this->plugin_name; ?>-ays_fb_bordercolor").val()});
        $(document).find('#ays-fpl-modal').css({'border-radius': $("#<?php echo $this->plugin_name; ?>-ays_fb_border_radius").val()+'px'});
    });
    })(jQuery)
</script>
